# std::wbuffer_convert<Codecvt,Elem,Tr>::state

From cppreference.com
< cpp‎ | locale‎ | wbuffer convert

Defined in header `<locale>` |  |
state_type state() const; |  |

Returns the current value of the conversion state, which is stored in this `wbuffer_convert` object. The conversion state may be explicitly set in the constructor and is updated by all conversion operations.

### Return value

The current conversion state.

### Example

| This section is incomplete Reason: no example

### See also

state | returns the current conversion state (public member function of `std::wstring_convert<Codecvt,Elem,Wide_alloc,Byte_alloc>`)
mbsinit | checks if the mbstate_t object represents initial shift state (function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/locale/wbuffer_convert/state&oldid=111135"